import { Flex } from 'antd';
import React from 'react';
import FlowChart from './FlowChart';
import Images from './Images';
import styles from './index.less';
import Info from './Info';

/** @name 照明故障详情 */
const LightingFaultDetails: React.FC<{ metaData: any }> = (props) => {
  const { metaData } = props;

  return (
    <div className={styles.container}>
      <Flex gap={20}>
        <Flex vertical gap={20}>
          <Info dataSource={metaData}></Info>
          <Images dataSource={metaData}></Images>
        </Flex>
        <FlowChart dataSource={metaData}></FlowChart>
      </Flex>
    </div>
  );
};

export default LightingFaultDetails;
