import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';
import Overview from './Overview';
import PipeCorridorSensesTheSituation from './PipeCorridorSensesTheSituation';
import PipeGalleryMaintenanceStatus from './PipeGalleryMaintenanceStatus';
import PipelineSituation from './PipelineSituation';
import PipeMap from './PipeMap';

/** @name 管廊 */
const PipelinePassage: React.FC = () => {
  return (
    <Flex className={styles.container} gap={20}>
      <Flex vertical gap={20}>
        <Overview />
        <PipelineSituation />
      </Flex>
      <PipeMap></PipeMap>
      <Flex vertical gap={20}>
        <PipeCorridorSensesTheSituation />
        <PipeGalleryMaintenanceStatus />
      </Flex>
    </Flex>
  );
};

export default PipelinePassage;
