import React from 'react';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import DateSelector from '@/components/V2504/DateSelector';
import styles from './index.less';
import WorkersGender from './components/WorkersGender';
import WorkersType from './components/WorkersType';
import WorkersArea from './components/WorkersArea';
import WorkersAge from './components/WorkersAge';
import CarType from './components/CarType';
import CarArea from './components/CarArea';

/**
 * 环卫行业子页面 - 左侧内容组件
 * 这是一个示例组件，实际使用时需要根据业务需求实现具体内容
 */
const LeftContent: React.FC = () => {
  // 处理日期变化
  const handleDateChange = (params: { type: string; startTime: string; endTime: string }) => {
    console.log('环卫行业 - 左侧日期变化:', params);
  };

  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="环境卫生资源" />
        {/* <DateSelector
          onChange={handleDateChange}
          defaultType="day"
          panelType="left"
        /> */}
      </div>

      <div className={styles.content}>
        <WorkersGender />
        <WorkersType />
        <WorkersArea />
        <WorkersAge />        
        <CarType 
          // dataTypeKey="环卫车辆类型"
          // isThinLayout={true}
        />
        <CarArea />
      </div>
    </div>
  );
};

export default LeftContent; 