import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import RightContent from './components/RightContent';
import LeftContent from './components/LeftContent';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

interface RestaurantOilProps {
  visible: boolean;
}

/**
 * 餐饮油烟子页面
 * 使用通用子页面模板实现
 */
const RestaurantOil: React.FC<RestaurantOilProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.RESTAURANT_OIL}
      leftComponent={LeftContent}
      rightComponent={RightContent}
      title="餐饮油烟监管"
    />
  );
};

export default RestaurantOil; 